### Method

# Gom Repository migrate_async

#### Declaration [src]

    void
    gom_repository_migrate_async (
      GomRepository* repository,
      guint version,
      GomRepositoryMigrator migrator,
      gpointer migrator_data,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously performs a migration on the underlying database. This will call `migrator` from the SQLite thread for each migration to perform.

Upon completion, `callback` will be executed and it must call gom_repository_migrate_finish().

This method completes asynchronously. Use `gom_repository_migrate_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`version`

  Type: `guint`

  The version to migrate to.

`migrator`

  Type: `GomRepositoryMigrator`

  A function to perform the migrations.

`migrator_data`

  Type: `gpointer`

  User data for `migrator`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to execute upon completion.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.